CREATE TABLE fun_adm_target_tables (
    TARGET_TABLE_ID          NUMBER(18, 0) ,
    APPLICATION_ID           NUMBER(18, 0)     NOT NULL,
    TABLE_NAME               VARCHAR2(120)     NOT NULL,
    PRIMARY_KEY_COLUMN1      VARCHAR2(120)     NOT NULL,
    PRIMARY_KEY_COLUMN2      VARCHAR2(120) ,
    PRIMARY_KEY_COLUMN3      VARCHAR2(120) ,
    PRIMARY_KEY_COLUMN4      VARCHAR2(120) ,
    PRIMARY_KEY_COLUMN5      VARCHAR2(120) ,
    ENTITY_CLASS_CODE        VARCHAR2(120) ,
    ENTITY_CODE              VARCHAR2(120) ,
    ENTITY_TYPE_CODE         VARCHAR2(120) ,
    LEVEL_CODE               VARCHAR2(120) ,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    SEED_DATA_SOURCE         VARCHAR2(2048),
    ORA_SEED_SET1            VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2            VARCHAR2(4)       NOT NULL,
    TARGET_TABLE_ID          NUMBER(18, 0) ,
    APPLICATION_ID           NUMBER(18, 0)     NOT NULL,
    TABLE_NAME               VARCHAR2(120)     NOT NULL,
    PRIMARY_KEY_COLUMN1      VARCHAR2(120)     NOT NULL,
    PRIMARY_KEY_COLUMN2      VARCHAR2(120) ,
    PRIMARY_KEY_COLUMN3      VARCHAR2(120) ,
    PRIMARY_KEY_COLUMN4      VARCHAR2(120) ,
    PRIMARY_KEY_COLUMN5      VARCHAR2(120) ,
    ENTITY_CLASS_CODE        VARCHAR2(120) ,
    ENTITY_CODE              VARCHAR2(120) ,
    ENTITY_TYPE_CODE         VARCHAR2(120) ,
    LEVEL_CODE               VARCHAR2(120) ,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    SEED_DATA_SOURCE         VARCHAR2(2048),
    ORA_SEED_SET1            VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2            VARCHAR2(4)       NOT NULL,
    CONSTRAINT pk_fun_adm_target_tables PRIMARY KEY (TARGET_TABLE_ID, TARGET_TABLE_ID)
);
